VDODUMPMETADATA(8)

NAME
vdodumpmetadata - dump the metadata regions from a VDO device

SYNOPSIS
vdodumpmetadata [--no-block-map] [--lbn=lbn] vdoBacking outputFile

DESCRIPTION
vdodumpmetadata dumps the metadata regions of a VDO device to another file, to enable save and transfer of metadata from a VDO without transfer of the entire backing store.

vdoBacking must be the path of the VDODataLV as described in lvmvdo(7).

vdodumpmetadata will produce a large output file. The expected size is roughly equal to VDO's metadata size. A rough estimate of the storage needed is 1.4 GB per TB of logical space.

OPTIONS

--no-block-map
    Omit the block map. The output file will be of size no higher than 130MB + (9 MB per slab).

--lbn
    Saves the block map page associated with the specified LBN in the output file. This option may be specified up to 255 times. Implies --no-block-map.

EXAMPLE
# lvchange -ay vdo1/vdo0pool_vdata
# vdodumpmetadata /dev/mapper/vdo1-vdo0pool_vdata vdo1-meta-dump
# lvchange -an vdo1/vdo0pool_vdata

SEE ALSO
lvmvdo(7), lvchange(8), vdodebugmetadata(8)